Index: /sandbox/2.4.2-expresso2/expressoMail1_2/templates/default/main.css
===================================================================
--- /sandbox/2.4.2-expresso2/expressoMail1_2/templates/default/main.css	(revision 6823)
+++ /sandbox/2.4.2-expresso2/expressoMail1_2/templates/default/main.css	(revision 6872)
@@ -1441,7 +1441,11 @@
 .select-all-messages{
 	min-height: 20px;
-	font-size: 12px;
+	font-size: 13px;
+	font-family: Arial;
 	white-space: nowrap;
 	text-align: center;
+}
+.select-all-messages .select-link{
+	text-decoration: underline !important;
 }
 
Index: /sandbox/2.4.2-expresso2/expressoMail1_2/js/common_functions.js
===================================================================
--- /sandbox/2.4.2-expresso2/expressoMail1_2/js/common_functions.js	(revision 6837)
+++ /sandbox/2.4.2-expresso2/expressoMail1_2/js/common_functions.js	(revision 6872)
@@ -1120,6 +1120,7 @@
 	var main_list = main.childNodes;
 	var len_main_list = main_list.length;
-	var folder = '"'+$('#content_folders ul.filetree').find('.selected').attr('title')+'"';
-	var filterFlag = search_box_type != "ALL" ? get_lang(search_box_type) + "s": "";
+	var folder = $('#content_folders ul.filetree').find('.selected').attr('title');
+	folder = folder.length > 70 ? '"'+folder.substr(0,70) + "..." +'"': '"'+folder+'"' ;
+	var filterFlag = search_box_type != "ALL" ? '"'+get_lang(search_box_type) + "s" +'"': "";
 	var div = $('.select-all-messages');	
 	if (select)
@@ -1143,5 +1144,5 @@
 				if (total_pages > 1){
 					var link = "<a class='select-link' href='#'>Limpar seleção?</a>";
-					var info = "Todas as "+totalFolderMsgs+" mensagens "+filterFlag+" em "+folder+" foram selecionadas. "+link;
+					var info = "Todas as <b>"+totalFolderMsgs+"</b> mensagens "+filterFlag+" em "+folder+" foram selecionadas. "+link;
 					div.html("<span>"+info+"<span>");
 					div.show();
@@ -1153,6 +1154,6 @@
 		}
 		else if (!allMsgsSelected && total_pages > 1){
-			var link = "<a class='select-link' href='#'>Selecionar todas as "+totalFolderMsgs+" mensagens "+filterFlag+" em "+folder+"?</a>";
-			var info = "Todas as "+$('#table_box tr').length+" mensagens desta página foram selecionadas. "+link;
+			var link = "<a class='select-link' href='#'>Selecionar todas as <b>"+totalFolderMsgs+"</b> mensagens "+filterFlag+" em "+folder+"?</a>";
+			var info = "Todas as <b>"+$('#table_box tr').length+"</b> mensagens desta página foram selecionadas. "+link;
 			div.html("<span>"+info+"<span>");
 			div.show();
@@ -1179,5 +1180,5 @@
 		else if (totalSelected() > 0 && total_pages > 1){
 			var link = "<a class='select-link' href='#'>Limpar seleção?</a>";
-			var info = "Foram selecionadas "+totalSelected()+" mensagens "+filterFlag+" em "+folder+". "+link;
+			var info = "Foram selecionadas <b>"+totalSelected()+"</b> mensagens "+filterFlag+" em "+folder+". "+link;
 			div.html("<span>"+info+"<span>");
 			div.show();
Index: /sandbox/2.4.2-expresso2/expressoMail1_2/js/draw_api.js
===================================================================
--- /sandbox/2.4.2-expresso2/expressoMail1_2/js/draw_api.js	(revision 6869)
+++ /sandbox/2.4.2-expresso2/expressoMail1_2/js/draw_api.js	(revision 6872)
@@ -1084,7 +1084,8 @@
 /*Atualiza o array de mensagens selecionadas*/
 function updateSelectedMsgs(selected,msg_number){	
-	var folder = '"'+$('#content_folders ul.filetree').find('.selected').attr('title')+'"';
+	var folder = $('#content_folders ul.filetree').find('.selected').attr('title');
+	folder = folder.length > 70 ? '"'+folder.substr(0,70) + "..." +'"': '"'+folder+'"' ;
 	var div = $('.select-all-messages');
-	var filterFlag = search_box_type != "ALL" ? get_lang(search_box_type) + "s": "";
+	var filterFlag = search_box_type != "ALL" ? '"' + get_lang(search_box_type) + "s" + '"': "";
 	/*Seleciona as mensagens ao navegar pelas páginas*/
 	if (allMsgsSelected && msg_number == undefined){
@@ -1112,11 +1113,12 @@
 		$('#chk_box_select_all_messages').attr('checked',false);
 	}
+	var tSelected = totalSelected();
 	/*Todas as mensagens selecionadas uma a uma*/
-	if (totalSelected() > 0 && totalSelected() == totalFolderMsgs){
+	if (tSelected > 0 && tSelected == totalFolderMsgs){
 		allMsgsSelected = true;
 		$('#chk_box_select_all_messages').attr('checked',true);
 		if (total_pages > 1){
 			var link = "<a class='select-link' href='#'>Limpar seleção?</a>";
-			var info = "Todas as "+totalFolderMsgs+" mensagens "+filterFlag+" em "+folder+" foram selecionadas. "+link;
+			var info = "Todas as <b>"+totalFolderMsgs+"</b> mensagens "+filterFlag+" em "+folder+" foram selecionadas. "+link;
 			div.html("<span>"+info+"<span>");
 			div.show();
@@ -1125,8 +1127,13 @@
 	}
 	/*Se foram selecionadas algumas mensagens*/
-	else if (totalSelected() > 0 && !allMsgsSelected && total_pages > 1){
+	else if (tSelected > 0 && !allMsgsSelected && total_pages > 1){
 		$('#chk_box_select_all_messages').attr('checked',false);
 		var link = "<a class='select-link' href='#'>Limpar seleção?</a>";
-		var info = "Foram selecionadas "+totalSelected()+" mensagens "+filterFlag+" em "+folder+". "+link;
+		if (tSelected == 1){
+			var info = "Foi selecionada <b>"+tSelected+"</b> mensagem "+filterFlag+" em "+folder+". "+link;
+		}
+		else{
+			var info = "Foram selecionadas <b>"+tSelected+"</b> mensagens "+filterFlag+" em "+folder+". "+link;
+		}
 		div.html("<span>"+info+"<span>");
 		div.show();
@@ -1138,5 +1145,5 @@
 	else if (allMsgsSelected && total_pages > 1){
 		var link = "<a class='select-link' href='#'>Limpar seleção?</a>";
-		var info = "Todas as "+totalFolderMsgs+" mensagens "+filterFlag+" em "+folder+" foram selecionadas. "+link;
+		var info = "Todas as <b>"+totalFolderMsgs+"</b> mensagens "+filterFlag+" em "+folder+" foram selecionadas. "+link;
 		div.html("<span>"+info+"<span>");
 		div.show();
@@ -1154,5 +1161,6 @@
 /*Seleciona ou desseleciona todas as mensagens da pasta*/
 function selectAllFolderMsgs(select){
-	var folder = '"'+$('#content_folders ul.filetree').find('.selected').attr('title')+'"';
+	var folder = $('#content_folders ul.filetree').find('.selected').attr('title');
+	folder = folder.length > 70 ? '"'+folder.substr(0,70) + "..." +'"': '"'+folder+'"' ;
 	var filterFlag = search_box_type != "ALL" ? get_lang(search_box_type) + "s": "";
 	var div = $('.select-all-messages');
@@ -1160,5 +1168,5 @@
 		allMsgsSelected = true;
 		var link = "<a class='select-link' href='#'>Limpar seleção?</a>";
-		var info = "Todas as "+totalFolderMsgs+" mensagens "+filterFlag+" em "+folder+" foram selecionadas. "+link;
+		var info = "Todas as <b>"+totalFolderMsgs+"</b> mensagens "+filterFlag+" em "+folder+" foram selecionadas. "+link;
 		div.html("<span>"+info+"<span>");
 		div.show();