Index: trunk/expressoAdmin1_2/js/jscode/shared_accounts.js
===================================================================
--- trunk/expressoAdmin1_2/js/jscode/shared_accounts.js	(revision 6096)
+++ trunk/expressoAdmin1_2/js/jscode/shared_accounts.js	(revision 6877)
@@ -173,5 +173,4 @@
 	Element('em_input_writeAcl').checked = false;
 	Element('em_input_sendAcl').checked = false;
-	Element('em_input_saveAcl').checked = false;
 	Element('em_input_folderAcl').checked = false;
                 
@@ -339,5 +338,4 @@
 		Element('em_input_writeAcl').disabled = true;
 		Element('em_input_sendAcl').disabled = true;
-		Element('em_input_saveAcl').disabled = true;
 		Element('em_input_folderAcl').disabled = true;
 	    }
@@ -625,6 +623,4 @@
     Element('em_input_writeAcl').checked = false;
     Element('em_input_sendAcl').checked = false;
-    Element('em_input_saveAcl').checked = false;
-    Element('em_input_saveAcl').disabled = true;
     Element('em_input_folderAcl').checked = false;
     Element('em_input_readCalendar').checked = false;
@@ -707,5 +703,8 @@
     if(this.ownersAcl[user])
     {
-	if ( this.ownersAcl[user].indexOf('lrs',0) >= 0)
+	if ( (this.ownersAcl[user].indexOf('l',0) >= 0) &&
+		 (this.ownersAcl[user].indexOf('r',0) >= 0) &&
+		 (this.ownersAcl[user].indexOf('s',0) >= 0) 
+	    )
 	{
 	    Element('em_input_sendAcl').disabled = false;
@@ -715,29 +714,30 @@
 	    Element('em_input_sendAcl').disabled = true;
 			
-	if ( this.ownersAcl[user].indexOf('d',0) >= 0)
+	if ( (this.ownersAcl[user].indexOf('t',0) >= 0) &&
+		 (this.ownersAcl[user].indexOf('e',0) >= 0) 
+	   )
 	{
 	    Element('em_input_deleteAcl').checked = true;
 	}
-	if ( this.ownersAcl[user].indexOf('wi',0) >= 0)
+	if ( (this.ownersAcl[user].indexOf('w',0) >= 0) &&
+		 (this.ownersAcl[user].indexOf('i',0) >= 0) 
+	   )
 	{
 	    Element('em_input_writeAcl').checked = true;
 	}		
-	if (this.ownersAcl[user].indexOf('a',0) >= 0)
+	if ((this.ownersAcl[user].indexOf('p',0) >= 0) &&
+		(this.ownersAcl[user].indexOf('a',0) >= 0) )
 	{
 	    Element('em_input_sendAcl').disabled = false;
 	    Element('em_input_sendAcl').checked = true;
 	}
-	if ( this.ownersAcl[user].indexOf('p',0) >= 0)
-	{
-	    Element('em_input_saveAcl').disabled = false;
-	    Element('em_input_saveAcl').checked = true;
-	}
-	if ( this.ownersAcl[user].indexOf('c',0) >= 0)
+
+	if ( (this.ownersAcl[user].indexOf('k',0) >= 0) &&
+		 (this.ownersAcl[user].indexOf('x',0) >= 0) 
+	   )
 	{
 	    Element('em_input_folderAcl').checked = true;
 	}
-	if( Element('em_input_writeAcl').checked && Element('em_input_sendAcl').checked ){
-	    Element('em_input_saveAcl').disabled = false;
-	} else Element('em_input_saveAcl').disabled = true;
+
     }
 }
@@ -771,5 +771,5 @@
 				
 	if (Element('em_input_deleteAcl').checked)
-	    acl += 'd';
+	    acl += 'te';
 
 	if (Element('em_input_writeAcl').checked)
@@ -777,17 +777,10 @@
 
 	if (Element('em_input_sendAcl').checked)
-	    acl += 'a';
+	    acl += 'pa';
 		
 	if (Element('em_input_folderAcl').checked)
-	    acl += 'c';
+	    acl += 'kx';
 				
-	if (Element('em_input_sendAcl').checked && Element('em_input_writeAcl').checked){
-	    Element('em_input_saveAcl').disabled = false;				
-	} else {
-	    Element('em_input_saveAcl').disabled = true;
-	    Element('em_input_saveAcl').checked = false;
-	}
-	if (Element('em_input_saveAcl').checked)
-	    acl += 'p';
+
                         
 	this.ownersAcl[user] = acl;		
@@ -980,5 +973,4 @@
     Element('em_input_writeAcl').checked = false;
     Element('em_input_sendAcl').checked = false;
-    Element('em_input_saveAcl').checked = false;
     Element('em_input_folderAcl').checked = false;
                 
Index: trunk/expressoAdmin1_2/js/jscode/messages_size.js
===================================================================
--- trunk/expressoAdmin1_2/js/jscode/messages_size.js	(revision 5144)
+++ trunk/expressoAdmin1_2/js/jscode/messages_size.js	(revision 6877)
@@ -586,88 +586,87 @@
 	{
 	
-		//Element('em_input_readAcl').checked = false;
-		//Element('em_input_deleteAcl').checked = false;
-		//Element('em_input_writeAcl').checked = false;
-		//Element('em_input_sendAcl').checked = false;
-		//Element('em_input_saveAcl').checked = false;
-		//Element('em_input_saveAcl').disabled = true;
-		//Element('em_input_folderAcl').checked = false;
 		
-		if (this.ownersAcl[user] != "false" && this.ownersAcl[user].indexOf('lrs',0) >= 0)
-		{
-			Element('em_input_sendAcl').disabled = false;
-			Element('em_input_readAcl').checked = true;
+		if ( (this.ownersAcl[user].indexOf('l',0) >= 0) &&
+			 (this.ownersAcl[user].indexOf('r',0) >= 0) &&
+			 (this.ownersAcl[user].indexOf('s',0) >= 0) 
+		    )
+		{
+		    Element('em_input_sendAcl').disabled = false;
+		    Element('em_input_readAcl').checked = true;
 		}
 		else
-			Element('em_input_sendAcl').disabled = true;
+		    Element('em_input_sendAcl').disabled = true;
+				
+		if ( (this.ownersAcl[user].indexOf('t',0) >= 0) &&
+			 (this.ownersAcl[user].indexOf('e',0) >= 0) 
+		   )
+		{
+		    Element('em_input_deleteAcl').checked = true;
+		}
+		if ( (this.ownersAcl[user].indexOf('w',0) >= 0) &&
+			 (this.ownersAcl[user].indexOf('i',0) >= 0) 
+		   )
+		{
+		    Element('em_input_writeAcl').checked = true;
+		}		
+		if ((this.ownersAcl[user].indexOf('p',0) >= 0) &&
+			(this.ownersAcl[user].indexOf('a',0) >= 0) )
+		{
+		    Element('em_input_sendAcl').disabled = false;
+		    Element('em_input_sendAcl').checked = true;
+		}
+
+		if ( (this.ownersAcl[user].indexOf('k',0) >= 0) &&
+			 (this.ownersAcl[user].indexOf('x',0) >= 0) 
+		   )
+		{
+		    Element('em_input_folderAcl').checked = true;
+		}
+
+	}
+	
+	cShareMailbox.prototype.setaclfromuser = function()
+	{
+	    var acl		= '';
+	    var select 	= Element('ea_select_owners');
+
+	    if(select.selectedIndex == "-1"){
+		alert("Selecione antes um usuario!");
+		return false;
+	    }
+	                
+	    for(var k = 0; k < select.options.length; k ++ )
+	    {
+		if(select.options[k].selected !== true ) continue;
+	                    
+	                    
+		acl = '';
+		var user = select.options[k].value;
 			
-		if (this.ownersAcl[user] != "false" && this.ownersAcl[user].indexOf('d',0) >= 0)
-		{
-			Element('em_input_deleteAcl').checked = true;
-		}
-		if (this.ownersAcl[user] != "false" && this.ownersAcl[user].indexOf('wi',0) >= 0)
-		{
-			Element('em_input_writeAcl').checked = true;
-		}		
-		if (this.ownersAcl[user] != "false" && this.ownersAcl[user].indexOf('a',0) >= 0)
-		{
-			Element('em_input_sendAcl').disabled = false;
-			Element('em_input_sendAcl').checked = true;
-		}
-		if (this.ownersAcl[user] != "false" && this.ownersAcl[user].indexOf('p',0) >= 0)
-		{
-			Element('em_input_saveAcl').disabled = false;
-			Element('em_input_saveAcl').checked = true;
-		}
-		if (this.ownersAcl[user] != "false" && this.ownersAcl[user].indexOf('c',0) >= 0)
-		{
-			Element('em_input_folderAcl').checked = true;
-		}
-		if( this.ownersAcl[user] != "false" && Element('em_input_writeAcl').checked && Element('em_input_sendAcl').checked ){
-			Element('em_input_saveAcl').disabled = false;
-		} else Element('em_input_saveAcl').disabled = true;
-	}
-	
-	cShareMailbox.prototype.setaclfromuser = function()
-	{
-		var acl		= '';
-		var select 	= Element('ea_select_owners');
-
-		if(select.selectedIndex == "-1"){
-			alert("Selecione antes um usuario!");
-			return false;
-		}
-		var user = select.options[select.selectedIndex].value;
-		
 		if (Element('em_input_readAcl').checked) {
-			Element('em_input_sendAcl').disabled = false;
-			acl = 'lrs';
+		    Element('em_input_sendAcl').disabled = false;
+		    acl = 'lrsa';
 		}
 		else{
-			Element('em_input_sendAcl').disabled = true;
-			Element('em_input_sendAcl').checked = false;
-		}
-				
+		    Element('em_input_sendAcl').disabled = true;
+		    Element('em_input_sendAcl').checked = false;
+		}
+					
 		if (Element('em_input_deleteAcl').checked)
-			acl += 'd';
+		    acl += 'te';
 
 		if (Element('em_input_writeAcl').checked)
-			acl += 'wi';
+		    acl += 'wi';
 
 		if (Element('em_input_sendAcl').checked)
-			acl += 'a';
-		
+		    acl += 'p';
+			
 		if (Element('em_input_folderAcl').checked)
-			acl += 'c';
-				
-		if (Element('em_input_sendAcl').checked && Element('em_input_writeAcl').checked){
-			Element('em_input_saveAcl').disabled = false;				
-		} else {
-			Element('em_input_saveAcl').disabled = true;
-			Element('em_input_saveAcl').checked = false;
-		}
-		if (Element('em_input_saveAcl').checked)
-			acl += 'p';
+		    acl += 'kx';
+					
+
+	                        
 		this.ownersAcl[user] = acl;		
+   	 	}	
 	}
 		
@@ -730,5 +729,4 @@
 		Element('em_input_writeAcl').checked = false;
 		Element('em_input_sendAcl').checked = false;
-		Element('em_input_saveAcl').checked = false;
 		Element('em_input_folderAcl').checked = false;
 	}
Index: trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl
===================================================================
--- trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl	(revision 6157)
+++ trunk/expressoAdmin1_2/templates/default/shared_accounts_modal.tpl	(revision 6877)
@@ -95,5 +95,4 @@
                         <tr><td>{lang_creation}:</td><td><input id="em_input_writeAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_this_user_will_can_create/add_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
                         <tr><td>{lang_send}:</td><td><input disabled="disabled" id="em_input_sendAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_this_user_will_can_send_messages}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
-                        <tr><td>{lang_save}:</td><td><input disabled="disabled" id="em_input_saveAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_this_user_will_save_the_sent_messages_on_this_mailbox}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
                         <tr><td>{lang_folder}:</td><td><input id="em_input_folderAcl" onclick="return sharemailbox.setaclfromuser();" type="checkbox"><img title="{lang_allow_create_or_delete_folders_on_this_mailbox}." src="./expressoAdmin1_2/templates/default/images/ajuda.jpg"></td></tr>
                         </tbody></table>