Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js	(revision 6876)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/calendar.codecs.js	(revision 6880)
@@ -511,4 +511,5 @@
 		calendar: objEvent.calendar,
 		summary: objEvent.summary,
+        type: !!objEvent.type ? objEvent.type : 1,
 		description: objEvent.description,
 		timezone: objEvent.timezone,
@@ -621,5 +622,5 @@
         id: form.idTask,
         location: form.location,
-        type: 2,
+        type: !!form.type ?  form.type : 2,
         percentage: form.percentage,
         priority: form.priority,
@@ -669,5 +670,5 @@
                     id: attendee,
                     isOrganizer: (form.attendee_organizer == attendee ? 1 : 0 ),
-                    isExternal: !!parseInt(form.attendeeType[i]) ? 1 : 0,
+                    isExternal: !!parseInt(form.attendeeType[i]) ? 1 : 0
                     };
             };
@@ -713,4 +714,5 @@
         group: objEvent.group,
         summary: objEvent.summary,
+        type: !!objEvent.type ? objEvent.type : 2,
         description: objEvent.description,
         timezone: objEvent.timezone,
@@ -1007,6 +1009,9 @@
 
 	var pref = User.preferences;
-
-	var res =  DataLayer.encode('schedulable:preview', evtObj);
+    var res = [];
+
+    for(var i = 0; i < evtObj.length; i++){
+	   res.push(DataLayer.encode('schedulable:' + (evtObj[i].type == '1' ?  'preview' : 'task'), evtObj[i]));
+    }
 
 	if( !notArray ){
@@ -1043,9 +1048,7 @@
 			'endDate': new Date( occurrences[ii] + duration ).toString( User.preferences.dateFormat )
 			} );
-				  
-				  
-				  
-				  
-		    res2.repeat = typeRepeat[res[i].repeat.frequency];
+
+		    if(res[i].repeat)
+                res2.repeat = typeRepeat[res[i].repeat.frequency];
 				  
 		    while (counter.compareTo( currentDate ) == 0) {
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6876)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/js/helpers.js	(revision 6880)
@@ -2353,5 +2353,5 @@
 	}
 	
-    pageselectCallback(keyword, 0, false, false, type); // load page 1 and insert data on event_list.ejs
+    pageselectCallback(keyword, 0, false, type); // load page 1 and insert data on event_list.ejs
 	
     $('.preferences-win.active .button.save, .preferences-win.active .button.cancel, .preferences-win.active .button.import, .preferences-win.active .button.export').button();
@@ -2373,8 +2373,8 @@
 	if(paginator.indexOf('next') > 0){
 	    if(parseInt($(currentView+' [name = results]').val()) > 25)
-		pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) +1));
+		pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) +1), false,  2);
 	}else{
 	    if(parseInt($(currentView+' [name = page_index]').val()) > 0)
-		pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) -1));
+		pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) -1), false, 2);
 	}
     });
@@ -2414,5 +2414,5 @@
 }
 
-function paginatorList(currentView, view){
+function paginatorList(currentView, view, type){
     $(currentView+' .events-list.events-list-win.active .list-events-paginator .fc-header-title').html('<h2>'+mountTitleList( parseInt($('[name = page_index]').val()),view)+'</h2>');
     $(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right .fc-button').removeClass('fc-state-active')
@@ -2435,11 +2435,11 @@
 	var goView = $(this).attr('class');
 	if(goView.indexOf('agendaDay') > 0)
-	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'agendaDay');
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, 'agendaDay', type);
 	else if(goView.indexOf('month') > 0)
-	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'month');
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, 'month', type);
 	else if(goView.indexOf('year') > 0)
-	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'year');
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, 'year', type);
 	else if(goView.indexOf('agendaWeek') > 0)
-	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'agendaWeek');
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, 'agendaWeek', type);
 
     });
@@ -2457,11 +2457,11 @@
 	var paginator = $(this).attr('class');
 	if(paginator.indexOf('next') > 0)
-	    pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($('[name = page_index]').val())) +1), '', view);
+	    pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($('[name = page_index]').val())) +1), view, type);
 	else
-	    pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($('[name = page_index]').val())) -1), '', view);
+	    pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($('[name = page_index]').val())) -1), view, type);
     });	
 }
 
-function paginatorListEvent(currentView, typeView, view){
+function paginatorListEvent(currentView, typeView, view, type){
     if(!!$(currentView).find('.fc-calendar').length)
 	return;
@@ -2487,5 +2487,5 @@
 	paginatorSearch(currentView);
     }else
-	paginatorList(currentView, view);
+	paginatorList(currentView, view, type);
 }
 
@@ -2564,5 +2564,5 @@
 }
 
-function pageselectCallback(keyword, page_index, jq, view, type){
+function pageselectCallback(keyword, page_index, view, type){
     $('.qtip.qtip-blue').remove();
 	
@@ -2636,5 +2636,5 @@
 
 			});
-			paginatorListEvent(currentView, (keyword == '' || keyword == null) ? 'list' : 'search',  !!view ? view : User.preferences.defaultCalView);
+			paginatorListEvent(currentView, (keyword == '' || keyword == null) ? 'list' : 'search',  !!view ? view : User.preferences.defaultCalView, type);
 		});
     }else{
@@ -2646,5 +2646,5 @@
 			'</div>'
 			);
-		paginatorListEvent(currentView, 'list', !!view ? view : User.preferences.defaultCalView);
+		paginatorListEvent(currentView, 'list', !!view ? view : User.preferences.defaultCalView, type);
     }
 }
Index: /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/event_list.ejs
===================================================================
--- /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/event_list.ejs	(revision 6857)
+++ /sandbox/2.4.2-expresso1/prototype/modules/calendar/templates/event_list.ejs	(revision 6880)
@@ -1,2 +1,8 @@
+<%
+
+    var decoder = {status: {1: 'Sem ações', 2: 'Em processo', 3: 'Completo', 4: 'Cancelado'}, priority: {1: 'Alta', 2: 'Normal', 3: 'Baixa'}}
+
+%>
+
 <div title="<%=data.tab_title%>" class="events-list events-list-win active">
 	
@@ -46,11 +52,11 @@
 							var img_type = "";
 							var title_type = "";
-							if(_event.type == 1){
+							if(_event.type == '1'){
 								img_type = "../prototype/modules/calendar/img/event.png";
 								title_type = "Evento";
-							}if(_event.type == 2){
+							}if(_event.type == '2'){
 								img_type = "../prototype/modules/calendar/img/task.png"; 
 								title_type = "Tarefa";
-							}if(_event.type == 3){
+							}if(_event.type == '3'){
 								img_type = "../prototype/modules/calendar/img/activity_icon.jpg"; 
 								title_type = "Atividade";
@@ -105,5 +111,5 @@
 								<%if(_event.allDay){%>
 									<p class="input-group date-info">
-										<label>Duração</label>
+										<label>Duração:</label>
 										<span class="">Dia inteiro</span>
 									</p>
@@ -123,5 +129,5 @@
 									</p>
 								<%}%>
-								<%if(_event.type == 1){
+								<%if(_event.type == '1'){
 									if(_event.repeat ){%>
 								    <p class="input-group">
@@ -131,12 +137,12 @@
 								<%}}%>
 								<p class="input-group">
-									<label>Lembretes</label>
+									<label>Lembretes:</label>
 									<% if(_event.alarms) { 
 											var string_alarm = "";
-											if(_event.type == 1)
+											if(_event.type == '1')
 												string_alarm = 'do evento'; 
-											if(_event.type == 2)
+											if(_event.type == '2')
 												string_alarm = 'da tarefa';
-											if(_event.type == 2)
+											if(_event.type == '3')
 												string_alarm = 'da atividade';
 											%>
@@ -148,26 +154,26 @@
 									<% } %>
 								</p>
-								<%if(_event.type == 1){%>
-								<p class="input-group">
-									<label>Local</label>
+								<%if(_event.type == '1'){%>
+								<p class="input-group">
+									<label>Local:</label>
 									<span><%= _event.location %></span>
 								</p>
 								<%}%>
 								<p class="input-group">
-									<label>Descrição </label>
+									<label>Descrição:</label>
 									<span class="large" ><%= _event.description %></span>
 								</p>
-								<%if(_event.type != 1){%>
-								<p class="input-group">
-									<label>Prioridade </label>
-									<span><%= _event.priority %></span>
-								</p>
-								<p class="input-group">
-									<label>Porcentagem de Conlusão </label>
-									<span><%= _event.percent %></span>
-								</p>
-								<p class="input-group">
-									<label>Status </label>
-									<span><%= _event.status %></span>
+								<%if(_event.type != '1'){%>
+								<p class="input-group">
+									<label>Prioridade:</label>
+									<span><%= decoder['priority'][_event.priority] %></span>
+								</p>
+								<p class="input-group">
+									<label>% Conlusão:</label>
+									<span><%= _event.percentage %>%</span>
+								</p>
+								<p class="input-group">
+									<label>Status:</label>
+									<span><%= decoder['status'][_event.status] %></span>
 								</p>
 								<% } %>
@@ -176,13 +182,13 @@
 									<span><%= _event.privacy %></span>
 								</p> -->
-								<%if(_event.type == 1){%>
-								<p class="input-group">
-									<label>Organizador</label>
+								
+								<p class="input-group">
+									<label>Organizador:</label>
 									<span class="large"><%= _event.organizer.user ? _event.organizer.user.name : _event.organizer.name %>  (<%= _event.organizer.user ? _event.organizer.user.mail : _event.organizer.mail %>)</span>
 								</p>
-								<%}
-								if(_event.type != 3){%>
-								<p class="input-group">
-									<label>Participantes</label>
+
+								<%if(_event.type != '3'){%>
+								<p class="input-group">
+									<label>Participantes:</label>
 									<% if(_event.attendee) { %>
 										<span class="large" >
@@ -194,5 +200,5 @@
 								</p>
 								<%}
-								if(_event.type == 3){%>
+								if(_event.type == '3'){%>
 								<p class="input-group">
 									<label>Tarefas</label>
@@ -205,21 +211,21 @@
 									<% } %>
 								</p>
-								<%}
-								if(_event.type == 1){%>
-								<p class="input-group">
-									<label>Presença</label>
+								<%}%>
+								
+								<p class="input-group">
+									<label>Presença:</label>
 									<span>
-                                                                            <% var status_name;
-                                                                                if (_event.status == 1)
-                                                                                    status_name = "Eu vou";
-                                                                                else if (_event.status == 2)
-                                                                                    status_name = "Talvez";
-                                                                                else if (_event.status == 3)
-                                                                                    status_name = "Eu não vou";
-                                                                            %>
-                                                                            <%= status_name %>
-                                                                        </span> <!-- Ta hardcodificado isso aqui? -->
-								</p>
-								<%}%>
+                                        <% var status_name;
+                                            if (_event.status == 1)
+                                                status_name = "Eu vou";
+                                            else if (_event.status == 2)
+                                                status_name = "Talvez";
+                                            else if (_event.status == 3)
+                                                status_name = "Eu não vou";
+                                        %>
+                                        <%= status_name %>
+                                    </span> <!-- Ta hardcodificado isso aqui? -->
+								</p>
+
 							</fieldset>
 							<div class="menu-container footer-container">