Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/css/layout.css
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/css/layout.css	(revision 6876)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/css/layout.css	(revision 6881)
@@ -226,4 +226,12 @@
 
 .new-event-win ul.attendee-permissions-list, li.attendee-permissions-list, .new-task-win ul.attendee-permissions-list{text-align: left;}
+.new-activity-win.active {
+	 width:700px;height:510px;text-align:left;
+}
+
+.new-activity-win > .content.ui-tabs.ui-widget-content {
+	border: none;
+}
+.new-activity-win ul.attendee-permissions-list, li.attendee-permissions-list{text-align: left;}
 
 li.attendee-permissions-list input{width: 20px !important; margin: 3px 0 0 0 !important;}
@@ -244,30 +252,36 @@
 .new-task-win fieldset.block-add-attendee .add-attendee-search input { max-width: 290px; width: 290px; padding: 0 0 0 7px;}
 
-
-fieldset.block-add-attendee .search-result-list { width: 255px; max-height: 215px; overflow: auto;}
-fieldset.block-add-attendee .search-result-list .ui-widget-content { border: none;}
-fieldset.block-add-attendee .search-result-list .empty { margin-left: 5px; }
+.new-activity-win .menu-addevent { 	text-align: right; }
+fieldset.block-add-attendee .add-attendee-search, fieldset.block-add-activity .add-activity-search { max-width: 250px; margin: 5px;}
+fieldset.block-add-attendee .add-attendee-search input, fieldset.block-add-activity .add-activity-search input { max-width: 220px; width: 220px; padding: 0 0 0 7px;}
+fieldset.block-add-attendee .search-result-list, fieldset.block-add-activity .search-result-list { width: 255px; max-height: 215px; overflow: auto;}
+fieldset.block-add-attendee .search-result-list .ui-widget-content, fieldset.block-add-activity .search-result-list .ui-widget-content { border: none;}
+fieldset.block-add-attendee .search-result-list .empty, fieldset.block-add-activity .search-result-list .empty { margin-left: 5px; }
 fieldset.block-add-user .add-user-search {max-width: 235px;}
 fieldset.block-add-user .search-result-list {max-width: 245px;} 
-fieldset.block-add-user .search-result-list .ui-widget-content {max-width: 245px;}
-
-.block-attendee-list, .block-add-attendee { float:left;}
+fieldset.block-add-user .search-result-list .ui-widget-content, fieldset.block-add-user .search-result-list .ui-widget-content {max-width: 245px;}
+
+#calendar_addactivity_details8 .block-attendee-list, #calendar_addactivity_details8 .block-activity-list { width:430px; margin-right: 5px; }
+
+.block-attendee-list, .block-activity-list, .block-add-activity { float:left;}
 .block-attendee-list { width:400px; margin-right: 5px; }
 .new-event-win .block-add-attendee { width:260px; margin-right: 5px; }
 .new-task-win .block-add-attendee { width:335px; margin-right: 5px; }
-.block-attendee-list dd, .block-add-attendee dd { border: 1px solid #BFBFBF; }
-.block-attendee-list dt, .block-add-attendee dt { background-color:#FFF; margin: 5px 0 -6px 5px; font-weight: bold; display: table;  position: relative;}
+.block-attendee-list dd, .block-add-attendee dd, .block-activity-list dd, .block-add-activity dd { border: 1px solid #BFBFBF; }
+.block-attendee-list dt, .block-add-attendee dt,.block-activity-list dt, .block-add-activity dt { background-color:#FFF; margin: 5px 0 -6px 5px; font-weight: bold; display: table;  position: relative; display: table;}
 .block-attendee-list dd.attendee-list { height: 196px; }
-.block-attendee-list dd.attendee-list ul { max-height: 186px; overflow: auto; margin-top: 10px;}
-.block-attendee-list dd.attendee-list-add {border-top:none !important; border:1px solid #BFBFBF;}
-.block-attendee-list dd.attendee-list-add fieldset.add-attendee-input { border:none !important; margin: 0; padding: 0 }
-.block-attendee-list dd.attendee-list-brief { border:none !important; margin: 5px 0; color:#777; }
-
-dl.block-add-attendee {
+.block-attendee-list dd.attendee-list ul, .block-activity-list dd.task-activity-list ul { max-height: 186px; overflow: auto; margin-top: 10px;}
+.block-attendee-list dd.attendee-list-add, .block-activity-list dd.activity-list-add {border-top:none !important; border:1px solid #BFBFBF;}
+.block-attendee-list dd.attendee-list-add fieldset.add-attendee-input, .block-activity-list dd.activity-list-add fieldset.add-activity-input { border:none !important; margin: 0; padding: 0 }
+.block-attendee-list dd.attendee-list-brief, .block-activity-list dd.activity-list-brief { border:none !important; margin: 5px 0; color:#777; }
+#calendar_addactivity_details8 .block-attendee-list, #calendar_addactivity_details8 .block-activity-list { width:430px; margin-right: 5px; }
+.block-activity-list dd.task-activity-list { height: 292px; }
+
+dl.block-add-attendee, dl.block-add-activity {
 	float: right;
 	display: block;
 }
 
-.new-event-win dl.block-add-attendee dd.add-attendee {
+.new-event-win dl.block-add-attendee dd.add-attendee, dl.block-add-activity dd.add-activity {
 	width: 260px;
 	min-height: 260px;
@@ -281,4 +295,11 @@
 }
 
+#calendar_addactivity_details8 dl.block-add-attendee dd.add-attendee ,#calendar_addactivity_details8 dl.block-add-activity dd.add-activity {
+	width: 260px;
+	min-height: 292px;
+	display: block;
+}
+
+
 ul.attendees-count {clear:left; float:left;}
 .attendees-count li {display: inline;}
@@ -294,4 +315,5 @@
 .attendees-list .me .add-attendee-options-button {position: absolute; top: 171px;}
 .attendees-list .hover-attendee { background-color: #DFEFFC;}
+.task-activity-list .hover-activity { background: #DFEFFC;}
 /*
 .attendees-list .attendee-options-button-edit { position: absolute; top:0; right:25px;}
@@ -301,5 +323,5 @@
 
 .attendee-options{ position: absolute; top: 0; left: 287px; background-color: white; z-index: 100; width: 90px; background-color: #FFF;	padding: 0 20px 0 3px; text-align: right;}
-.attendees-list .not-attendee { height:16px; }
+.attendees-list .not-attendee, .activitys-list .not-activity { height:16px; }
 
 .list-delegates{margin: 0 0 0 25px;}
@@ -308,5 +330,5 @@
 
 .attendees-list .me .add-attendee-search input { max-width: 125px; }
-.attendees-list li.organizer, .attendees-list li.me-delegated  {margin-bottom: 3px;}
+.attendees-list li.organizer, .attendees-list li.me-delegated, .activitys-list li.organizer {margin-bottom: 3px;}
 .attendees-list .organizer .button.swap {
 	float: right;
@@ -350,4 +372,16 @@
 }
 dd.attendee-list ul.attendee-list li label[title=''] { display:none }
+dd.task-activity-list ul.task-activity-list li {
+    overflow: hidden;
+	position: relative;
+}
+
+
+dd.task-activity-list ul.task-activity-list li label.name,
+dd.task-activity-list ul.task-activity-list li label.mail {
+	width: 99999px;
+	min-width: 99999px;
+}
+dd.task-activity-list ul.task-activity-list li label[title=''] { display:none }
 /*
 dd.attendee-list ul.attendee-list li .button.close {
@@ -873,4 +907,8 @@
 .new-task-win fieldset fieldset, .new-task-win fieldset.tab-level2 fieldset{ padding: 5px 0; }
 
+.new-activity-win fieldset { border: none;	margin: 0; padding: 0; }
+.new-activity-win fieldset.tab-level2 { padding: 0px 5px; }
+.new-activity-win fieldset fieldset, .new-activity-win fieldset.tab-level2 fieldset { padding: 5px 0; }
+
 .hidden {
 	display: none;
@@ -915,7 +953,12 @@
 .new-event-win form.form-addevent { padding: 9px; }
 
+.new-activity-win div.div-addtask { padding: 0; width: 774px; border: 0;}
+.new-activity-win div.div-addactivity { padding: 0; width: 734px; border: 0;}
+.new-activity-win form.form-addevent { padding: 9px; }
 .ui-dialog .ui-dialog-content { padding: 0; }
 .new-event-win div.div-addevent, .new-task-win div.div-addtask { padding: 0; width: 700px; border: 0;}
 .new-event-win form.form-addevent, .new-task-win form.form-addtask { padding: 9px; }
+.new-activity-win div.div-addevent { padding: 0; width: 700px; border: 0;}
+.new-activity-win form.form-addevent { padding: 9px; }
 
 .expresso-calendar-container input[type="text"] { height: 18px; }
@@ -940,5 +983,5 @@
 
 .expresso-calendar-container input.h1,
-.new-event-win input.h1, .new-task-win input.h1 {
+.new-event-win input.h1, .new-task-win input.h1, .new-activity-win input.h1 {
 	font-size: 150%;
 	font-weight: bold;
@@ -947,5 +990,5 @@
 }
 
-.new-event-win textarea, .new-task-win textarea {
+.new-event-win textarea, .new-task-win textarea, .new-activity-win textarea {
 	width:600px;
 	height: 210px;
@@ -958,4 +1001,6 @@
 .new-event-win p.input-group label, .new-task-win p.input-group label { display: inline-block; width: 65px;}
 .new-event-win p.input-group label.input-group, .new-task-win p.input-group label.input-group { display: inline-block; width: 110px; font-weight: bold;}
+.new-activity-win p.input-group label { display: inline-block; width: 65px;}
+.new-activity-win p.input-group label.input-group { display: inline-block; width: 110px; font-weight: bold;}
 
 input.number {text-align: right}
@@ -999,4 +1044,20 @@
 .new-event-win fieldset.block-attendee-list, .new-task-win fieldset.block-attendee-list { width: 300px; max-height:180px; padding: 5px; float: left;}
 .new-event-win fieldset.block-attendee-list ul, .new-task-win fieldset.block-attendee-list ul {  height:160px; overflow: auto;}
+/**/
+.new-activity-win fieldset.event-repeat-container label, 
+.new-activity-win p.input-group.event-repeat-weekly label, 
+.new-activity-win p.input-group.event-repeat-monthly label {
+	width: auto; 
+}
+
+.new-activity-win fieldset.input-field-rounded,
+.new-activity-win fieldset.search-field,
+.new-activity-win fieldset.block-add-attendee-permissions,
+.new-activity-win fieldset.block-attendee-list {
+	border:1px solid #CFCFCF;
+}
+
+.new-activity-win fieldset.block-attendee-list { width: 300px; max-height:180px; padding: 5px; float: left;}
+.new-activity-win fieldset.block-attendee-list ul {  height:160px; overflow: auto;}
 
 
Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css	(revision 6876)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/css/style.css	(revision 6881)
@@ -51,4 +51,12 @@
 .new-event-win fieldset#calendar_addevent_details5 .button-files-upload, .new-task-win fieldset#calendar_addevent_details5 .button-files-upload{margin: 15px 0 0 0}
 .new-event-win fieldset fieldset, .new-event-win fieldset.tab-level2 fieldset, .new-task-win fieldset fieldset, .new-event-win fieldset.tab-level2 fieldset { padding: 5px 0; }
+
+.new-activity-win fieldset { border: none; margin: 0; padding: 0; }
+.new-activity-win fieldset.tab-level2 { padding: 0px 5px; min-height: 310px; max-height: 310px; overflow: auto;}
+
+.new-activity-win .overflow_add_calender { overflow: auto; max-height: 320px; }
+.new-activity-win fieldset#calendar_addevent_details7 { overflow: hidden}
+.new-activity-win fieldset#calendar_addevent_details5 .button-files-upload{margin: 15px 0 0 0}
+.new-activity-win fieldset fieldset, .new-activity-win fieldset.tab-level2 fieldset { padding: 5px 0; }
 
 .hidden {
@@ -96,4 +104,7 @@
 .new-event-win form.form-addevent, .new-task-win form.form-addtask { padding: 9px; }
 
+.new-activity-win div.div-addevent { padding: 0; width: 700px; border: 0;}
+.new-activity-win form.form-addevent { padding: 9px; }
+
 .expresso-calendar-container input[type="text"] { height: 18px; }
 .expresso-calendar-container input[type="text"], 
@@ -124,4 +135,10 @@
 	height: 150%;
 }
+.new-activity-win input.h1 {
+  font-size: 150%;
+  font-weight: bold;
+  width: 64%;
+  height: 150%;
+}
 
 .expresso-calendar-container input.h1,
@@ -140,8 +157,16 @@
 }
 
+.new-activity-win textarea {
+  width:600px;
+  height: 210px;
+  border: 1px solid #CFCFCF;
+  padding: 0px;
+}
 span.input-group { display: block; }
 /*p.input-group label { vertical-align: top; }*/
 .new-event-win p.input-group label, .new-task-win p.input-group label { display: inline-block; width: 65px;}
 .new-event-win p.input-group label.input-group, .new-task-win p.input-group label.input-group { display: inline-block; width: 110px; font-weight: bold;}
+.new-activity-win p.input-group label { display: inline-block; width: 65px;}
+.new-activity-win p.input-group label.input-group { display: inline-block; width: 110px; font-weight: bold;}
 
 input.number {text-align: right}
@@ -169,4 +194,10 @@
 {
 	width: auto; 
+}
+
+.new-activity-win fieldset.event-repeat-container label, 
+.new-activity-win p.input-group.event-repeat-weekly label, 
+.new-activity-win p.input-group.event-repeat-monthly label {
+  width: auto; 
 }
 
@@ -185,4 +216,17 @@
 .new-event-win fieldset.block-attendee-list ul, .new-task-win fieldset.block-attendee-list ul {  height:160px; overflow: auto;}
 
+.new-activity-win fieldset.input-field-rounded,
+.new-activity-win fieldset.search-field,
+.new-activity-win fieldset.block-add-attendee-permissions,
+.new-activity-win fieldset.block-attendee-list {
+  border:1px solid #CFCFCF;
+}
+/*Duvida*/
+.new-event-win fieldset.block-attendee-list { width: 300px; max-height:180px; padding: 5px; float: left;}
+.new-event-win fieldset.block-attendee-list ul {  height:160px; overflow: auto;}
+
+.new-activity-win fieldset.block-attendee-list { width: 300px; max-height:180px; padding: 5px; float: left;}
+.new-activity-win fieldset.block-attendee-list ul {  height:160px; overflow: auto;}
+
 
 /* # add attendee */
@@ -503,5 +547,5 @@
 .div-addtask #calendar_addtask_details1 .end-time{ width: 40px; }
 .div-addtask #calendar_addtask_details1 .end-date{ width: 80px; }
-.div-addtask #calendar_addtask_details1 .previsao-termino { margin: 0 0 0 5px; }
+.div-addtask #calendar_addtask_details1 .previsao-termino { margin: 0 0 0 50px; }
 .div-addtask #calendar_addtask_details1 .subitem { margin: 5px; display: block;}
 .div-addtask #calendar_addtask_details1 .subitem .span_done{ margin: 0 30px;}
@@ -510,7 +554,7 @@
 
 
-.div-addtask  #calendar_addtask_details8 .parent {width: 725px; min-height: 278px; float: left;}
+.div-addtask  #calendar_addtask_details8 .parent {width: 715px; min-height: 208px; float: left;}
 .div-addtask  #calendar_addtask_details8 .parent .child-top {width: 745px; height: 30px; background: #E8F4FD; border-left: 1px solid #CCC; border-right: 1px solid #CCC; border-bottom: 1px solid #CCC;}
-.div-addtask  #calendar_addtask_details8 .parent .child-bottom {width: 745px; height: 278px; overflow: auto;  float: left; border-left: 1px solid #CCC; border-right: 1px solid #CCC; border-bottom: 1px solid #CCC;}
+.div-addtask  #calendar_addtask_details8 .parent .child-bottom {width: 745px; height: 208px; overflow: auto;  float: left; border-left: 1px solid #CCC; border-right: 1px solid #CCC; border-bottom: 1px solid #CCC;}
 .div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each { height: 30px; }
 .div-addtask  #calendar_addtask_details8 .parent .child-bottom .child-bottom-each:hover { background: #FFF2F2; cursor: pointer;}
@@ -527,2 +571,39 @@
 .div-addtask  #calendar_addtask_details8 .parent .child-top .organization { width: 70%; float: left; background: #E8F4FD; height: 30px; border-left: 1px solid #CCC; font-weight: bold; color: #2E6E9E; }
 .div-addtask  #calendar_addtask_details8 .parent .child-top .organization span{margin: 8px; float: left; }
+/*Atividades*/
+
+.div-addactivity #calendar_addactivity_details5 .button-files-upload { margin: 0 0 0 5px; }
+.div-addactivity #calendar_addactivity_details1 .h1{ width: 100%;}
+.div-addactivity #calendar_addactivity_details2 textarea { width: 635px; }
+.div-addactivity{ width: 734px;}
+.div-addactivity #calendar_addactivity_details1 .time-previsao { width: 40px; }
+.div-addactivity #calendar_addactivity_details1 .date-previsao{ width: 80px; }
+
+.div-addactivity #calendar_addactivity_details1 .start-time{ width: 40px; }
+.div-addactivity #calendar_addaActivity_details1 .start-date{ width: 80px; }
+.div-addactivity #calendar_addactivity_details1 .end-time{ width: 40px; }
+.div-addactivity #calendar_addactivity_details1 .end-date{ width: 80px; }
+.div-addactivity #calendar_addactivity_details1 .previsao-termino { margin: 0 0 0 50px; }
+.div-addactivity #calendar_addactivity_details1 .subitem { margin: 5px; display: block;}
+.div-addactivity #calendar_addactivity_details1 .subitem .span_done{ margin: 0 30px;}
+.div-addactivity #calendar_addactivity_details1 .calendar_addevent_details_lnk_timezone { margin: 0 0 0 20px;}
+.div-addactivity #calendar_addactivity_details1 .subitem .done { width: 45px;}
+
+
+.div-addactivity  #calendar_addactivity_details6 .parent {width: 680px; min-height: 268px; float: left;}
+.div-addactivity  #calendar_addactivity_details6 .parent .child-top {width: 690px; height: 30px; background: #E8F4FD; border-left: 1px solid #CCC; border-right: 1px solid #CCC; border-bottom: 1px solid #CCC;}
+.div-addactivity  #calendar_addactivity_details6 .parent .child-bottom {width: 690px; height: 220px; overflow: auto;  float: left; border-left: 1px solid #CCC; border-right: 1px solid #CCC; border-bottom: 1px solid #CCC;}
+.div-addactivity  #calendar_addactivity_details6 .parent .child-bottom .child-bottom-each { height: 30px; }
+.div-addactivity  #calendar_addactivity_details6 .parent .child-bottom .child-bottom-each:hover { background: #FFF2F2; cursor: pointer;}
+
+
+.div-addactivity  #calendar_addactivity_details6 .parent .child-bottom .child-bottom-each .date-hour { width: 30%; float: left; height: 30px}
+.div-addactivity  #calendar_addactivity_details6 .parent .child-bottom .child-bottom-each .date-hour span { margin: 8px; float: left; }
+.div-addactivity  #calendar_addactivity_details6 .parent .child-bottom .child-bottom-each .organization{ width: 69%; float: left;  height: 30px; border-left: 1px solid #CCC; }
+.div-addactivity  #calendar_addactivity_details6 .parent .child-bottom .child-bottom-each .organization span{ margin: 8px; float: left; }
+
+
+.div-addactivity  #calendar_addactivity_details6 .parent .child-top .date-hour { width: 29%; float: left; background: #E8F4FD; height: 30px; }
+.div-addactivity  #calendar_addactivity_details6 .parent .child-top .date-hour span{ margin: 8px; float: left; font-weight: bold; color: #2E6E9E; }
+.div-addactivity  #calendar_addactivity_details6 .parent .child-top .organization { width: 70%; float: left; background: #E8F4FD; height: 30px; border-left: 1px solid #CCC; font-weight: bold; color: #2E6E9E; }
+.div-addactivity  #calendar_addactivity_details6 .parent .child-top .organization span{margin: 8px; float: left; }