Index: sandbox/2.4.2-expresso2/expressoMail1_2/js/common_functions.js
===================================================================
--- sandbox/2.4.2-expresso2/expressoMail1_2/js/common_functions.js	(revision 6874)
+++ sandbox/2.4.2-expresso2/expressoMail1_2/js/common_functions.js	(revision 6890)
@@ -626,14 +626,4 @@
         else
             cExecute ("$this.ldap_functions.quicksearchcontact&search_for="+search_for+"&field="+field+"&ID="+ID+"&Type="+Type, handler_emQuickSearch);
-}
-
-function folderbox()
-{
-	connector.loadScript("TreeS");
-
-	if( typeof(window.ttree) == 'undefined')
-		setTimeout(function(){ folderbox(); }, 200 );
-	else
-		ttree.load();
 }
 
Index: sandbox/2.4.2-expresso2/expressoMail1_2/js/main.js
===================================================================
--- sandbox/2.4.2-expresso2/expressoMail1_2/js/main.js	(revision 6889)
+++ sandbox/2.4.2-expresso2/expressoMail1_2/js/main.js	(revision 6890)
@@ -100,6 +100,4 @@
 		if (preferences.use_local_messages==1) { //O I.E 7 estava se atrapalhando caso esses loads fossem feitos após as chamadas ajax. Antes não apresentou problemas...
 			connector.loadScript('mail_sync');
-			if (is_ie)
-				connector.loadScript('TreeShow');
 			setTimeout('auto_archiving()', 30000);
 			
@@ -1087,7 +1085,6 @@
 				var move_to_folder = data.match(/^(.*)Spam(.*)$/) ? "Spam" : special_folders['Trash'];
 				alert(get_lang('There is not %1 folder, Expresso is creating it for you... Please, repeat your request later.', folder_error));
-				connector.loadScript('TreeShow');
 				ttree.FOLDER = 'root';
-				ttreeBox.new_past(move_to_folder);
+				create_new_folder(move_to_folder,"INBOX");
 				return false;
 			}else{
Index: sandbox/2.4.2-expresso2/expressoMail1_2/js/manifest
===================================================================
--- sandbox/2.4.2-expresso2/expressoMail1_2/js/manifest	(revision 4342)
+++ sandbox/2.4.2-expresso2/expressoMail1_2/js/manifest	(revision 6890)
@@ -44,5 +44,4 @@
 	  { "url": "sniff_browser.js?1.222" },
 	  { "url": "TreeS.js?1.222" },
-	  { "url": "TreeShow.js?1.222" },
 	  { "url": "offline_access.js?1.222" },
           { "url": "lert/lert.js" },
Index: sandbox/2.4.2-expresso2/expressoMail1_2/js/mail_sync.js
===================================================================
--- sandbox/2.4.2-expresso2/expressoMail1_2/js/mail_sync.js	(revision 5134)
+++ sandbox/2.4.2-expresso2/expressoMail1_2/js/mail_sync.js	(revision 6890)
@@ -49,6 +49,4 @@
 	
 	mail_sync.prototype.start_sync = function() {
-		if (is_ie)
-				connector.loadScript('TreeShow');
 		if(this.working) {
 			//Já está sincronizando...
Index: sandbox/2.4.2-expresso2/expressoMail1_2/js/TreeS.js
===================================================================
--- sandbox/2.4.2-expresso2/expressoMail1_2/js/TreeS.js	(revision 5744)
+++ sandbox/2.4.2-expresso2/expressoMail1_2/js/TreeS.js	(revision 6890)
@@ -4,69 +4,4 @@
 	
 	function foldersExpresso(){ }
-	
-	function load()
-	{
-		var div = document.createElement("div");
-		
-		var args = 
-		{
-			"delete_folder"		: get_lang('Delete folder'),
-			"export_messages"	: get_lang('Export messages'),
-			"new_folder" 		: get_lang('New folder'),
-			"rename_folder"		: get_lang('Rename folder')
-		};
-		
-		$(div).html(DataLayer.render("./templates/default/folderExpresso.ejs", args ));
-		
-		$(div).dialog(
-		{
-			resizable	: false,
-			title		: get_lang("Manager your folders and export messages"),
-			position	: 'center',
-			width		: 600,
-			height		: 300,
-			modal		: false,
-			buttons		: [
-							{
-								text: get_lang("Close"),
-								click: function()
-								{
-									$(this).dialog("destroy");
-									div.removeChild( div.firstChild );
-								},
-								style: "margin-top: -2.1em" 
-							}
-			],
-			beforeClose	: function()
-			{ 
-				$(this).dialog("destroy");
-				div.removeChild( div.firstChild );
-			},
-			open : function()
-			{
-				if( folders.length == 0 )
-				{
-					write_msg( "ERRO : Sem dados" );
-					$(div).dialog("destroy");
-					div.removeChild(div.firstChild);
-					return false;
-				}
-				else
-				{
-					if( Element('dftree_treeFolders') != null )
-					{
-						$(div).dialog("destroy");
-						div.removeChild( div.firstChild );
-						return;
-					}
-					else
-					{
-						make_tree(div.firstChild);
-					}
-				}
-			}
-		});
-	}
-	
 	
 	function make_tree()
@@ -185,6 +120,5 @@
 		FOLDER = arguments[0];
 	}
-	
-	foldersExpresso.prototype.load		= load;
+
 	foldersExpresso.prototype.getFolder	= getFolder;
 	foldersExpresso.prototype.setFolder	= setFolder;
Index: sandbox/2.4.2-expresso2/expressoMail1_2/js/draw_api.js
===================================================================
--- sandbox/2.4.2-expresso2/expressoMail1_2/js/draw_api.js	(revision 6875)
+++ sandbox/2.4.2-expresso2/expressoMail1_2/js/draw_api.js	(revision 6890)
@@ -1590,7 +1590,5 @@
 		Element('msg_number').value = '';
 	}
-	var scripts = new Array("InfoContact",
-							"TreeShow");
-	connector.loadAllScripts(scripts);
+	connector.loadScript("InfoContact");
 	// Loading Quota View Folder Component (if exists...)
 	if(Element("table_quota"))
Index: sandbox/2.4.2-expresso2/expressoMail1_2/js/doiMenuData.js
===================================================================
--- sandbox/2.4.2-expresso2/expressoMail1_2/js/doiMenuData.js	(revision 6541)
+++ sandbox/2.4.2-expresso2/expressoMail1_2/js/doiMenuData.js	(revision 6890)
@@ -140,5 +140,4 @@
 		"i02": {"name": get_lang("Search"), "icon": "search-mail", callback: function(key, opt){ search_emails(""); }},
 		"103": {"name": get_lang("Edit filters"), "icon": "filter", callback: filterbox2 },
-		"i04": {"name": get_lang("Edit folders"), "icon": "edit-folder", callback: folderbox },
 		"i05": {"name": get_lang("Share mailbox"), "icon": "share-mailbox", callback: sharebox },
 		"i06": {"name": get_lang("Labels"), "icon": "tag", callback: configureLabels }, 
@@ -153,6 +152,5 @@
 } else {
 	var menuToolsItems = {
-		"i01": {"name": get_lang("Search"), "icon": "search-mail", callback: function(key, opt){ search_emails(""); }},
-		"i02": {"name": get_lang("Edit folders"), "icon": "edit-folder", callback: folderbox }
+		"i01": {"name": get_lang("Search"), "icon": "search-mail", callback: function(key, opt){ search_emails(""); }}
 	}
 }